nutch-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kaveh minooie <ka...@plutoz.com>
Subject slf4j issue with nutch 2.x over hadoop 1.1.1
Date Sat, 16 Feb 2013 00:53:56 GMT
Hi everyone
    I recently build the nutch 2.x from the trunk, but it crashes almost 
immediately in run time. it seems that the there is a version 
incompatibility between the slf4j in hadoop which is (1.4.3) and the one 
in nutch (1.6.1) : (actually is between versions above 1.6 and below it)

$ PATH="$(pwd)/bin:$PATH" bin/nutch inject /temp/urls/
Error: Could not find or load main class org.apache.hadoop.util.PlatformName
13/02/15 15:47:15 INFO crawl.InjectorJob: InjectorJob: starting at 
2013-02-15 15:47:15
13/02/15 15:47:15 INFO crawl.InjectorJob: InjectorJob: Injecting urlDir: 
/temp/urls
Exception in thread "main" java.lang.NoSuchMethodError: 
org.slf4j.spi.LocationAwareLogger.log(Lorg/slf4j/Marker;Ljava/lang/String;ILjava/lang/String;[Ljava/lang/Object;Ljava/lang/Throwable;)V
	at 
org.apache.commons.logging.impl.SLF4JLocationAwareLog.debug(SLF4JLocationAwareLog.java:133)
	at 
org.apache.hadoop.security.Groups.getUserToGroupsMappingService(Groups.java:139)
	at 
org.apache.hadoop.security.UserGroupInformation.initialize(UserGroupInformation.java:205)
	at 
org.apache.hadoop.security.UserGroupInformation.ensureInitialized(UserGroupInformation.java:184)
	at 
org.apache.hadoop.security.UserGroupInformation.isSecurityEnabled(UserGroupInformation.java:236)
	at 
org.apache.hadoop.security.UserGroupInformation.getLoginUser(UserGroupInformation.java:477)
	at 
org.apache.hadoop.security.UserGroupInformation.getCurrentUser(UserGroupInformation.java:463)
	at org.apache.hadoop.mapreduce.JobContext.<init>(JobContext.java:80)
	at org.apache.hadoop.mapreduce.Job.<init>(Job.java:50)
	at org.apache.hadoop.mapreduce.Job.<init>(Job.java:54)
	at org.apache.nutch.util.NutchJob.<init>(NutchJob.java:37)
	at org.apache.nutch.crawl.InjectorJob.run(InjectorJob.java:214)
	at org.apache.nutch.crawl.InjectorJob.inject(InjectorJob.java:251)
	at org.apache.nutch.crawl.InjectorJob.run(InjectorJob.java:273)
	at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:65)
	at org.apache.nutch.crawl.InjectorJob.main(InjectorJob.java:282)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.apache.hadoop.util.RunJar.main(RunJar.java:156)



but here is my problem. I tried to build the nutch using ver 1.4.3 of 
the slf4j. i changed the version in both ivy.xml and pom.xml and cleaned 
my ivy cache but ant still fetches the version 1.6.1 when it builds the 
project. what am I missing?

thanks,
-- 
Kaveh Minooie

www.plutoz.com

Mime
View raw message